Skip to main content
GET
/
api
/
v1
/
billing
/
credits
Get credit balance
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/billing/credits \
  --header 'Authorization: Bearer <token>'
{
  "available_credits": 123,
  "issued_credits": 123,
  "used_credits": 123,
  "expires_at": "2023-11-07T05:31:56Z",
  "has_payment_method": true,
  "has_purchased": true,
  "is_expired": true,
  "last_purchase_at": "2023-11-07T05:31:56Z",
  "last_purchase_credits": 123,
  "payment_methods": [
    {
      "brand": "<string>",
      "exp_month": 123,
      "exp_year": 123,
      "id": "<string>",
      "is_default": true,
      "last4": "<string>"
    }
  ],
  "resource_type": "user"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Response

Credit balance

available_credits
number<double>
required
issued_credits
number<double>
required
used_credits
number<double>
required
expires_at
string<date-time>
has_payment_method
boolean
has_purchased
boolean

Whether user has ever purchased credits via Stripe

is_expired
boolean
last_purchase_at
string<date-time>

Date of the most recent credit purchase

last_purchase_credits
number<double>

Credits from the most recent purchase

payment_methods
object[]
resource_type
enum<string>
Available options:
user,
team